# XQilla Simple API Documentation

# StaticContext.hpp File Reference

`#include <xqilla/framework/XQillaExport.hpp>`
`#include <xqilla/simple-api/XQilla.hpp>`
`#include <time.h>`
`#include <xqilla/schema/DocumentCache.hpp>`
`#include <xercesc/util/PlatformUtils.hpp>`
`#include <xercesc/util/XMemory.hpp>`
Include dependency graph for StaticContext.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | StaticContext
| The parse time static context interface. More...

## Namespaces

namespace | xercesc

## Typedefs

typedef std::vector< ASTNode *, XQillaAllocator< ASTNode * > > | VectorOfASTNodes
typedef std::vector < XQUserFunction *, XQillaAllocator < XQUserFunction * > > | UserFunctions

## Typedef Documentation

typedef std::vector<XQUserFunction*, XQillaAllocator<XQUserFunction*> > UserFunctions

typedef std::vector<ASTNode*,XQillaAllocator<ASTNode*> > VectorOfASTNodes